package data

import (
	"github.com/ParadoxPixel/ThemePark-Websocket/objects"
	"sync"
)

var servers = new(sync.Map)

func AddServer(server *objects.Server) {
	servers.LoadOrStore(server.ID, server)
}

func CanServer(server string) bool {
	if server == "" || server == "null" {
		return false
	}

	if ok, _ := HasServer(server); ok {
		return false
	} else {
		return true
	}
}

func HasServer(publicKey string) (bool, *objects.Server) {
	val, ok := servers.Load(publicKey)
	return ok, val.(*objects.Server)
}

func RemoveServer(session string) *objects.Server {
	val, _ := servers.LoadAndDelete(session)
	return val.(*objects.Server)
}
